/*------------------------------------------------------------------------------
--  This file is a part of the Uprobe Software
--  Copyright (C) 2014, Plasma Physics Laboratory - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@member.fsf.org
--                    Author : Kaveh Mohamadabadi
--                     Mail : kaveh.mohamadabadi@lpp.polytechnique.fr
--------------------------------------------------------------------------------*/
#ifndef UPROBE_H
#define UPROBE_H

#include <QObject>
#include <uprobeprotocol.h>

class UProbe : public QObject
{
    Q_OBJECT
public:
    explicit UProbe(QObject *parent = 0);

signals:
    void updateChannelCount(int count);
    void sendWaveFormData(int channel,float* data,int count);

public slots:
    bool setPortName(const QString& name);
    bool setPortSpeed(int speed);

private:
    UProbeProtocol p_proto;

};

#endif // UPROBE_H
